package com.yh.saas.plugin.yiliangyiyun.mapper;

import com.yh.saas.plugin.yiliangyiyun.entity.WarehousingOrder;
import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 记录入库单信息 Mapper 接口
 * </p>
 *
 * @author Gdc
 * @since 2022-05-17
 */
public interface WarehousingOrderMapper extends BaseMapper<WarehousingOrder> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
    Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询入库单列表
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getListByCondition(Map<String, Object> pageView);
    /**
     * 收购入库单
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getAcquisitionListByCondition(Map<String, Object> pageView);
    /**
     * 采购入库单
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getPurchaseListByCondition(Map<String, Object> pageView);
    /**
     * 移库入库单
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getMoveListByCondition(Map<String, Object> pageView);
    /**
     * 退库入库单
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getReturnListByCondition(Map<String, Object> pageView);
    /**
     * 根据条件查询货源总数
     *
     * @param pageView
     * @return
     */
    Integer getGoodSourceCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询货源列表
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getGoodSourceListByCondition(Map<String, Object> pageView);
    /**
     * 根据条件查询当日货名成本
     *
     * @param pageView
     * @return
     */
    List<WarehousingOrder> getGoodCostListByCondition(Map<String, Object> pageView);

}
